Package: org.grails.taglib

## [Java] Class TagOutput

- org.grails.taglib.TagOutput

- Created by lari on 16/07/14.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `TagOutput.ConstantClosure` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `APPLY_CODEC_TAG_NAME` |
    `static java.lang.String` | `DEFAULT_NAMESPACE` |
    `static groovy.lang.Closure<?>` | `EMPTY_BODY_CLOSURE` |
    `static java.lang.String` | `ENCODE_AS_ATTRIBUTE_NAME` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.Object` | `captureTagOutput(TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String tagName, java.util.Map attrs, java.lang.Object body, OutputContext outputContext)`
    `` | `static java.util.Map<java.lang.String, java.lang.Object>` | `createCodecSettings(java.lang.String namespace, java.lang.String tagName, java.util.Map attrs, java.util.Map<java.lang.String, java.lang.Object> defaultEncodeAs)`
    `` | `static groovy.lang.Closure<?>` | `createOutputCapturingClosure(java.lang.Object wrappedInstance, java.lang.Object body1, OutputContext outputContext)`
    `` | `static groovy.lang.GroovyObject` | `lookupCachedTagLib(TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String tagName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String APPLY_CODEC_TAG_NAME

    - #### public static final java.lang.String DEFAULT_NAMESPACE

    - #### public static final groovy.lang.Closure<?> EMPTY_BODY_CLOSURE

    - #### public static final java.lang.String ENCODE_AS_ATTRIBUTE_NAME

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public static final java.lang.Object captureTagOutput(TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String tagName, java.util.Map attrs, java.lang.Object body, OutputContext outputContext)

    - #### public static java.util.Map<java.lang.String, java.lang.Object> createCodecSettings(java.lang.String namespace, java.lang.String tagName, @java.lang.SuppressWarnings("rawtypes") java.util.Map attrs, java.util.Map<java.lang.String, java.lang.Object> defaultEncodeAs)

    - #### public static final groovy.lang.Closure<?> createOutputCapturingClosure(java.lang.Object wrappedInstance, java.lang.Object body1, OutputContext outputContext)

    - #### public static final groovy.lang.GroovyObject lookupCachedTagLib(TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String tagName)